<?php
namespace Claromentis\Core\DocumentConverter;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_6dc023075e7b7a10fcc37" . "e2d1b691033" => base64_decode("IHRvI" . "A=="), "_0c5123aa744f69bbc0e8b3ea2f6e" . "847d" => base64_decode("bG1" . "zZw" . "=="), "_946c6fe2025cf682630afe" . "8f8cdf5861" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZlcn" . "Rlci51bmtub3duX2Vycm9y"), "_ba3845cb79c005cf3269" . "af8c83ddbe5e" => base64_decode("ZX" . "Jy" . "b3" . "I="), "_31767d7ad58e706dbf47b7a51a0fe" . "6c4" => base64_decode("Y29" . "1bn" . "Q="), "_a7a98b53d82ba82123bc4047484c" . "d742" => base64_decode("Y29tbW9uLmRvY3VtZW50X2NvbnZ" . "lcnRlci5ub19jb252ZXJ0ZXJz"), "_77317902a2c903eaeed66f6a366d" . "e08b" => base64_decode("ZXhjZXB0aW9uX21l" . "c3NhZ2U="), "_5e905cea5856" . "ef40d35ea1eda" . "f185d1b" => base64_decode("IHVz" . "aW5n" . "IA=="), "_b0e753d" . "eb9741c6" . "e9b3d17c" . "ac47b5dc" . "5" => base64_decode("Tm8gYXZhaWxhYmxlIERvY3VtZW50IE" . "NvbnZlcnRlcnMgdG8gdXNlLg=="), "_20b3ce3ff928713aae2421" . "713e60898a" => base64_decode("YWRtaW4uZG9jdW1lbnRfY29udmVydGVyLmVycm9yLmNvdWxkX25vdF9jb" . "25uZWN0"), "_b8323c396da910cd2da11d4" . "d0985e9c5" => base64_decode("aXNf" . "cnVu" . "bmlu" . "Zw=="), "_2351a63ea5f1aa926b0753b192e8" . "d841" => base64_decode("RmFpbGV" . "kIHRvIG" . "NvbnZlc" . "nQg"));
use Claromentis\Core\DocumentConverter\Converters\DocumentConverterInterface;
use Claromentis\Core\DocumentConverter\Exceptions\DocumentConverterException;
use Exception;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Webmozart\Assert\Assert;









class DocumentConverterService
{
    
    
    
    
    
    
    private $document_converters;
    
    
    
    
    
    
    private LoggerInterface $logger;
    
    
    
    
    
    
    
    public function __construct(array $_c347105b86cd04864c78a4febd95a6f0, ?LoggerInterface $logger)
    {
        foreach ($_c347105b86cd04864c78a4febd95a6f0 as $document_converter) {
            Assert::isInstanceOf($document_converter, DocumentConverterInterface::class);
        }
        $this->document_converters = $_c347105b86cd04864c78a4febd95a6f0;
        $this->logger = $logger ?? new NullLogger();
        if (empty($this->document_converters)) {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_b0e753deb9741c6e9b3d17cac4" . "7b5dc5"]);
        }
    }
    
    
    
    
    
    
    
    
    
    
    
    public function Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860)
    {
        foreach ($this->document_converters as $_02ad4799244951c2d809ee37be9e79fd => $document_converter) {
            try {
                $document_converter->Convert($_6d9f48827153c22baa0cc670b103158e, $_86a17589580c81964d306ebe003a445c, $_d1625ea25fb8b4afdb15b0570f6ab860);
                return;
            } catch (Exception $_fe441aa3ef350bfb1a1a1ad8520dd530) {
                
                
                if ($_02ad4799244951c2d809ee37be9e79fd === $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_31767d7ad58e7" . "06dbf47b7a51a0" . "fe6c4"]($this->document_converters) - 1) {
                    if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof DocumentConverterException) {
                        throw new Exception($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage());
                    } else {
                        throw new Exception($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8" . "b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_946c6fe2025cf682630af" . "e8f8cdf5861"]));
                    }
                }
                $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2351a63ea5" . "f1aa926b075" . "3b192e8d841"] . $_6d9f48827153c22baa0cc670b103158e . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_6dc023075e7b7a10fcc3" . "7e2d1b691033"] . $_d1625ea25fb8b4afdb15b0570f6ab860 . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_5e905cea5856ef40d" . "35ea1edaf185d1b"] . $document_converter->GetName(), [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_77317902" . "a2c903eae" . "ed66f6a36" . "6de08b"] => $_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage()]);
            }
        }
        throw new Exception($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a7a98b53d82ba82123bc4047484c" . "d742"]));
    }
    
    
    
    
    
    
    public function GetStatus()
    {
        $_2a85611c78080ebe98afdb51c3d4ea92 = [];
        foreach ($this->document_converters as $document_converter) {
            $_b8323c396da910cd2da11d4d0985e9c5 = $document_converter->IsRunning();
            $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()] = [$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_b8323c396da910" . "cd2da11d4d0985e" . "9c5"] => $_b8323c396da910cd2da11d4d0985e9c5];
            if (!$_b8323c396da910cd2da11d4d0985e9c5) {
                $_2a85611c78080ebe98afdb51c3d4ea92[$document_converter->GetName()][$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_ba3845cb" . "79c005cf3" . "269af8c83" . "ddbe5e"]] = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_20b3ce3ff928713aae" . "2421713e60898a"], $document_converter->GetHost(), $document_converter->GetPort());
            }
        }
        return $_2a85611c78080ebe98afdb51c3d4ea92;
    }
    
    
    
    
    
    
    public function IsRunning()
    {
        foreach ($this->document_converters as $document_converter) {
            if ($document_converter->IsRunning()) {
                return true;
            }
        }
        return false;
    }
}